Bug 114763 - rdesktop update produces a new error connecting to win2k citrix server
rdesktop update produces a new error connecting to win2k citrix server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: 115344
  Show dependency treegraph
 
Reported: 2004-02-02 11:41 EST by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 11:34:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-02-02 11:41:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
When using rdesktop-1.3.0-2 I receive this error when connecting the
the win2k server:
>rdesktop -u username win2k.server.here

NOT IMPLEMENTED: PDU 9
ERROR: recv: Connection reset by peer
Broken pipe

The PDU number listed changes with each attempt, not sure what that
means. 


Rolling back to rdesktop-1.2.0-2, running the rdesktop command returns
no error and gives me the approproate remote desktop window with login
prompt.

What further information would you like me to report, or
troubleshooting steps would you like me to try?



Version-Release number of selected component (if applicable):
rdesktop-1.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. install rdesktop-1.3.0-2
2. rdesktop -u username win2k.server.here
3. enjoy terse error message 
    

Actual Results:  Errors out, attempts to open a window, which quickly
closes.

Expected Results:  rdesktop-1.2.0-3 behavior expected,
>rdesktop -u username win2kserver
should option a remote desktop window with a login prompt

Additional info:
Comment 1 Aleksander Adamowski 2004-02-03 06:01:50 EST
Confirming bug. Packet dump seems to indicate that client and server
enter SSL negotiation, then server breaks connection. The messages in
Windows server log indicate a problem in client's handling of SSL
protocol.
Comment 2 Jef Spaleta 2004-02-03 16:20:01 EST
adding -4 option to rdesktop worksforme

now i just have to find how to get tsclient to let me add -4

I might just close this out, if this is a specific protocal 4/5
difference issue
Comment 3 Warren Togami 2004-02-03 16:35:55 EST
The client is failing to automatically fallback after the other
protocol fails.  Talk to upstream about fixing this.  If he releases
the patch without a new vesrion, maybe we can package it in another
rdesktop update.

Don't close it... leave it open just in case other people have this
problem and they can see that this is being worked on.  Please follow
up upstream though...
Comment 4 Jef Spaleta 2004-02-03 16:55:56 EST
This is known upstream....and seemingly fixed in cvs
http://sourceforge.net/tracker/index.php?func=detail&aid=836443&group_id=24366&atid=381347

So now the question becomes...does someone have the time and fortitude 
to backport the cvs fix to roll into a fc update...or is there a new
upstream release near at hand? Must go digging into the upstream
mailinglist archive....

-jef
Comment 5 Warren Togami 2004-02-11 11:16:41 EST
http://people.redhat.com/wtogami/temp/rdesktop-1.3.1-0.1/
Please test these binaries and report if the protocol is being
auto-selected now, or if you still need to do it manually.
Comment 6 Jef Spaleta 2004-02-11 11:25:23 EST
a quick install of the i386 package from the p.r.c location...and it
seems things are a go! It's connecting again.

-jef

Note You need to log in before you can comment on or make changes to this bug.